﻿namespace U2UConsult.Win8.PrintItemsControl.ViewModels
{
    using System.Collections.Generic;

    public class MainViewModel
    {
        private List<DroidViewModel> droids = new List<DroidViewModel>();

        public MainViewModel()
        {
            this.droids.Add(
                new DroidViewModel()
                {
                    Name = "C-3PX",
                    Description = "C-3PX started his operational style as a simple 3PX-series protocol droid in one of Cybot Galactica's many factories. Initially built as a protocol unit for Outer Rim usage, C-3PX, as well as the entire 3PX series, faced difficulty selling against Cybot Galactica's more successful 3PO-series protocol droid. C-3PX had a number of different masters, as well as a number of different rebuilds, from his creation date to his acquisition by Darth Maul, a Sith Lord.",
                    ImagePath = "Assets/Droids/C-3PX.png"
                });

            this.droids.Add(
                new DroidViewModel()
                {
                    Name = "HK-47",
                    Description = "HK-47 was a Hunter-Killer assassin droid and Jedi hunter constructed by the Dark Lord of the Sith, Darth Revan, shortly after the end of the Mandalorian Wars in 3,959 BBY.",
                    ImagePath = "Assets/Droids/HK-47.png"
                });

            this.droids.Add(
                new DroidViewModel()
                {
                    Name = "IT-O Interrogator",
                    Description = "The IT-O was an interrogation droid designed by Imperial Security Bureau and employed by Galactic Empire. Use of IT-O was carefully controlled by ISB, though some models found their way into the hands of senior Moffs, military intelligence and even CompForce. They were also employed by Imperial Inquisitors and Stormtrooper garrison commanders.",
                    ImagePath = "Assets/Droids/IT-O Interrogator.png"
                });

            this.droids.Add(
                new DroidViewModel()
                {
                    Name = "R2-KT",
                    Description = "At the height of the Clone Wars, R2-KT was assigned to the 501st Legion and served on board a Republic vessel attached to Jedi Knights Anakin Skywalker and Obi-Wan Kenobi. Over the course of the war, 'Katie' and R2 liked to meet and gossip about the war and the Republic Fleet. During the events of Rotta's kidnapping, the droid was present at a briefing of clone troopers and their Jedi commanders. The droid was also present at the Battle of Ryloth, the Sky Battle of Quell, and on Commander Wolffe's Acclamator I-class assault ship in the socket of a BTL-B Y-wing starfighter during the Mission to Aleen. R2-KT survived the Clone Wars and subsequently served in the Galactic Empire.",
                    ImagePath = "Assets/Droids/R2-KT.png"
                });

            this.droids.Add(
                new DroidViewModel()
                {
                    Name = "Viper Probe",
                    Description = "The Viper probe droid, commonly referred to as the probot, was a deep-space exploration and reconnaissance probe droid produced by Arakyd Industries. The Viper model was based on the success of Galalloy Industries' early probe droids. The design of the probot also relied heavily on the work of Viper Sensor Intelligence Systems, a corporation acquired by Arakyd during the Clone Wars.",
                    ImagePath = "Assets/Droids/Viper-Probe.png"
                });
        }

        public List<DroidViewModel> Droids
        {
            get
            {
                return this.droids;
            }
        }
    }
}